Name:           python-listquote
Version:        1.4.0
Release:        7%{?dist}
Summary:        Functions for Lists, Quotes and CSVs
License:        BSD
URL:            http://www.voidspace.org.uk/python/listquote.html
# Listquote has a stupid download redirector, you can get listquote.py from:
# http://www.voidspace.org.uk/cgi-bin/voidspace/downman.py?file=listquote.py
#
# Then use:
#   mkdir python-listquote-1.4.0
#   cp listquote.py python-listquote-1.4.0
#   tar -czf python-listquote-1.4.0.tar.gz python-listquote-1.4.0
#
# to recreate the tarball.
Source0:        python-listquote-1.4.0.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel


%description
This module provides functions for turning lists into strings - and back again.
It properly handles quoting and unquoting of elements and can even parse
recursive lists.

Because a CSV (comma separated value) file is basically a list - the module
includes functions for easily reading and writing CSVs.


%prep
%setup -q
cat >setup.py <<EOS
#!/usr/bin/env python

from distutils.core import setup

setup(name='listquote',
      version='1.4.0',
      description='%{summary}',
      author='Michael Foord',
      author_email='fuzzyman@voidspace.org.uk',
      url='http://www.voidspace.org.uk/python/listquote.html',
      py_modules=['listquote'],
     )
EOS


%build
python setup.py build


%install
python setup.py install -O1 --skip-build --root %{buildroot}


%files
%{python_sitelib}/listquote*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 27 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-4
- Create tarball for single source file (#917329)

* Fri Apr 26 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-3
- Nuke python_sitelib, we get that for free now
- Don't nuke buildroot in %%install
- Be more specific about 'listquote' package in %%files

* Thu Apr 25 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-2
- BR python2-devel

* Sat Mar 2 2013 Conrad Meyer <cemeyer@uw.edu> - 1.4.0-1
- Initial package
